Subject: Bug#499: Fwd: [Bug 1097757] New: [abrt] x2goclient: QString(): x2goclient killed by SIGSEGV

From: Mihai Moldovan <[email-masked]>
Date: Wed, 1 Mar 2017 08:18:30 +0100

On 14.05.2014 04:53 PM, Orion Poplawski wrote:
> Package: x2goclient
> Version: 4.0.2.0
> 
> Looks like:
> 
> #1  id (this=0x0) at ../sessionbutton.h:39
> No locals.
> #2  ONMainWindow::slotSuspendSess (this=this@entry=0x1ad1ab0) at 
> ../onmainwindow.cpp:4620
> 
>              X2goSettings st ( "sessions" );
>              QString sid=lastSession->id();
> 
> lastSession is null and not being checked.  Probably applies to other parts of 
> the code as well.

I don't know if that's still a problem, since the session manager/explorer
feature was added in the meantime, but I've tried to add guards to most
locations, except where it was obvious that getLastSession() must return
non-NULL because we already checked it before.

Should it ever actually be NULL, at least it shouldn't crash (at this point) any
longer, but I admit that I don't know how the client behaves when just returning
out of these functions without doing its work.

Mihai